org.eclipse.microprofile.metrics.tck.metrics

## Class GaugeMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.GaugeMethodBeanTest

    public class GaugeMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GaugeMethodBeanTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `callGaugeAfterSetterCall()`
`static org.jboss.shrinkwrap.api.Archive<?>` `createTestArchive()`
`void` `gaugeCalledWithDefaultValue()`
`void` `instantiateApplicationScopedBeanAndTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GaugeMethodBeanTest

    public GaugeMethodBeanTest()

### Method Detail

#### createTestArchive

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createTestArchive()

#### instantiateApplicationScopedBeanAndTest

    public void instantiateApplicationScopedBeanAndTest()

#### gaugeCalledWithDefaultValue

    @InSequence(value=1)
    public void gaugeCalledWithDefaultValue()

#### callGaugeAfterSetterCall

    @InSequence(value=2)
    public void callGaugeAfterSetterCall()